Subject: Ticket Assigned - Items not delivered
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 10 Dec 2021 11:55:46 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Items not delivered  
Hi,

I have placed an order (6370662002) online and was suppose to be delivered on the 29th of November.

The delivery guy did not deliver it and the items were cancelled with a refund and the reason on system was could not reach me although it was the delivery guy who cancelled.

I called the centre and a gentleman said he will update it and it will be delivered, however, I got a refund and nothing was delivered.

Please advice.

Find attached the message from delivery guy. 

Best Regards,
H Taylor

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3575153